Description

https://answers.splunk.com/answers/469223/is-it-possible-to-switch-to-windows-authentication.html

Need to offer the ability to specify authentication types of basic, advanced, NTLM, auto-detect.

History

#1 - 10/26/2016 05:12 PM - Luke Murphey

Can test here: http://ntlm.herokuapp.com/

Or using http://blog.michelbarneveld.nl/michel/archive/2009/12/05/kerberos-authentication-tester.aspx or this: 

https://blogs.msdn.microsoft.com/friis/2013/01/08/asp-net-authentication-test-page/

See here for details: http://serverfault.com/questions/595035/testing-ntlm-kerberos-against-a-public-url

#2 - 10/26/2016 05:18 PM - Luke Murphey

Might want to add kerberos authentication https://pypi.python.org/pypi/requests-kerberos or https://github.com/requests/requests-kerberos

#3 - 10/26/2016 08:22 PM - Luke Murphey

It turns out that authentication auto detection wasn't working correctly. The headers are returned in lowercase (see 

https://github.com/kennethreitz/requests/issues/1561) but the app assumed they would be in the original case.

#4 - 10/26/2016 08:22 PM - Luke Murphey

It turns out that the auth header can be a tuple: https://github.com/chimurai/http-proxy-middleware/issues/39

#5 - 10/26/2016 08:49 PM - Luke Murphey

https://blogs.msdn.microsoft.com/chiranth/2013/09/20/ntlm-want-to-know-how-it-works/

#6 - 10/26/2016 08:53 PM - Luke Murphey

I faked an NTLM session;

1. Server responds with 401 and Www-Authenticate: NTLM

2. Client provides challenge Authorization: NTLM TlRMTVNTUAABAAAAB4IIAAAAAAAAAAAAAAAAAAAAAAA=

3. Server responds with 401 and Www-Authenticate: NTLM TlRMTVNTUAACAAAAAAAAACgAAAABAAAAAAAAAAAAAAA=

4. Client provides Authorization: NTLM

TlRMTVNTUAADAAAAGAAYAGwAAAAYABgAhAAAAAgACABAAAAACAAIAEgAAAAcABwAUAAAAAAAAAAAAAAAAQAAAHQAZQBzAHQA

dABlAHMAdABsAG0AdQByAHAAaABlAHkALQBtAGIAcAAxADUAgiKGu7ODU4Zx7W3Y2A23BfV9JN+XMe+FgiKGu7ODU4Zx7W3Y2A23BfV9

JN+XMe+F

5. Server responds with a 200
#7 - 11/15/2016 07:23 AM - Luke Murphey

- Target version deleted (2.0)

#8 - 04/22/2017 07:52 AM - Luke Murphey

- Priority changed from Normal to Low
